#include <iostream>

using namespace std;

int main()
{
int n;
cin>>n;
int a[n];
int b[n];
int c[n];
int seged=1,seged1=0,hatul,elol;
for(int i=0;i<n*2;i++){
    c[i]=i+1;
}
for(int i=0;i<n;i++){
    if(i%2==0){
        a[i]=seged;
        seged++;
    }
    else{
        a[i]=n*2-seged1;
        seged1++;
    }
}


for(int i=0;i<n;i++){
    if(i%2==0){
        b[i]=seged;
        seged++;
    }
    else{
        b[i]=n*2-seged1;
        seged1++;
    }
}
for(int i=0;i<n;i++){
    cout<<a[i];
}
cout<<endl;
    for(int i=0;i<n;i++){
    cout<<b[i];
}


 return 0;
}